import { Feed, FeedState } from '../../../src/feed';
declare const selector: ({ aggregated_activities }: FeedState) => {
    aggregated_activities: import("../../..").AggregatedActivityResponse[] | undefined;
};
type UseAggregatedActivitiesReturnType = ReturnType<typeof selector>;
/**
 * A React hook that returns a reactive object containing the current aggregated activities.
 */
export declare function useAggregatedActivities(feedFromProps: Feed): UseAggregatedActivitiesReturnType;
export declare function useAggregatedActivities(feedFromProps?: Feed): UseAggregatedActivitiesReturnType | undefined;
export {};
